Package com.usatiuk.objects.transaction

# Class TransactionManagerImpl

java.lang.Object
com.usatiuk.objects.transaction.TransactionManagerImpl

All Implemented Interfaces:
  `TransactionManager`

@Singleton public class TransactionManagerImpl extends Object implements TransactionManager

## Constructor Summary

Constructors
Constructor
Description
`TransactionManagerImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`begin()`
`TransactionHandle`
`commit()`
`Transaction`
`current()`
`void`
`rollback()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.usatiuk.objects.transaction.TransactionManager

`executeTx, executeTx, run, run, run, run, runTries, runTries, runTries, runTries`

## Constructor Details

### TransactionManagerImpl

public TransactionManagerImpl()

## Method Details

### begin

public void begin()

Specified by:
  `begin` in interface `TransactionManager`

### commit

public TransactionHandle commit()

Specified by:
  `commit` in interface `TransactionManager`

### rollback

public void rollback()

Specified by:
  `rollback` in interface `TransactionManager`

### current

@Nullable public Transaction current()

Specified by:
  `current` in interface `TransactionManager`